FixedPointPreCompInfo (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.math.ec

## Class FixedPointPreCompInfo

- java.lang.Object
- - org.bouncycastle.math.ec.FixedPointPreCompInfo

- All Implemented Interfaces:
    PreCompInfo

      public class FixedPointPreCompInfo
      extends java.lang.Object
      implements PreCompInfo

  Class holding precomputation data for fixed-point multiplications.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ECPoint[]` | `preComp` Array holding the precomputed `ECPoint`s used for a fixed point multiplication.
    `protected int` | `width` The width used for the precomputation.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedPointPreCompInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ECPoint[]` | `getPreComp()`
    `int` | `getWidth()`
    `void` | `setPreComp(ECPoint[] preComp)`
    `void` | `setWidth(int width)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### preComp

          protected ECPoint[] preComp

      Array holding the precomputed `ECPoint`s used for a fixed point multiplication.

    - #### width

          protected int width

      The width used for the precomputation. If a larger width precomputation is already available this may be larger than was requested, so calling code should refer to the actual width.

  - ### Constructor Detail

    - #### FixedPointPreCompInfo

          public FixedPointPreCompInfo()

  - ### Method Detail

    - #### getPreComp

          public ECPoint[] getPreComp()

    - #### setPreComp

          public void setPreComp(ECPoint[] preComp)

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int width)